Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232849 - Multipath devices not created in time
Summary: Multipath devices not created in time
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: device-mapper-multipath
Version: 4.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Ben Marzinski
QA Contact: Corey Marthaler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-18 21:46 UTC by Joseph Shraibman
Modified: 2010-01-12 02:28 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-12 21:17:17 UTC


Attachments (Terms of Use)

Description Joseph Shraibman 2007-03-18 21:46:15 UTC
Description of problem:
When booting I get dropped into singe user mode when init reads fstab to mount
directories because the multipath entries in /dev don't exist.  Once I enter the
root password I can mount the directories because at that point the devices to
exist.

Version-Release number of selected component (if applicable):
device-mapper-multipath-0.4.5-16.1.RHEL4

How reproducible:
All the time

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
To work around I added _netdev to the options in fstab

Comment 1 Ben Marzinski 2007-04-04 22:11:09 UTC
Which multipath entries are you using?

/dev/dm-* names are not guaranteed to be unique across reboots and should never
be used. They are also created by udev and not guaranteed to exist immediately
after device creation.

/dev/mpath/* names are unique, but are also created by udev and not guaranteed
to exist immediately after device creation. They should not be used in things
like /etc/fstab

/dev/mapper/* names are created by device-mapper, and exist immediately after
the device is created.

If you are not using /dev/mapper/* names in /etc/fstab, try switching to them
and let me know if this fixes the problem for you.

Comment 2 Joseph Shraibman 2007-04-05 01:17:58 UTC
I was using /dev/dm-*.  I can't reboot this system anytime soon just to test if
the /dev/mapper entries work.

Comment 3 Ben Marzinski 2007-06-01 00:29:55 UTC
Please let me know if this fixed the problem.

Comment 4 Joseph Shraibman 2007-06-01 01:47:33 UTC
I'm sorry, this system might not be rebooted for months.


Note You need to log in before you can comment on or make changes to this bug.